Bug 1186763 (CVE-2020-22044)

Summary: VUL-1: CVE-2020-22044: ffmpeg: Denial of Service vulnerability exists due to a memory leak in the url_open_dyn_buf_internal function in libavformat/aviobuf.c
Product: [Novell Products] SUSE Security Incidents Reporter: Alexander Bergmann <abergmann>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: IN_PROGRESS --- QA Contact: Security Team bot <security-team>
Severity: Minor    
Priority: P4 - Low CC: smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/301102/
Whiteboard:
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Alexander Bergmann 2021-06-02 12:42:32 UTC
CVE-2020-22044

A Denial of Service vulnerability exists in FFmpeg 4.2 due to a memory leak in
the url_open_dyn_buf_internal function in libavformat/aviobuf.c.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-22044
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-22044
https://trac.ffmpeg.org/ticket/8295
Comment 1 Alynx Zhou 2021-06-11 08:27:51 UTC
https://build.suse.de/request/show/243003
Comment 5 Swamp Workflow Management 2021-07-14 19:54:43 UTC
openSUSE-SU-2021:2322-1: An update that fixes 23 vulnerabilities is now available.

Category: security (important)
Bug References: 1172640,1186406,1186583,1186586,1186587,1186596,1186597,1186598,1186600,1186603,1186604,1186605,1186613,1186614,1186615,1186616,1186658,1186660,1186757,1186758,1186762,1186763
CVE References: CVE-2019-17539,CVE-2020-13904,CVE-2020-20448,CVE-2020-20451,CVE-2020-21041,CVE-2020-22015,CVE-2020-22016,CVE-2020-22017,CVE-2020-22019,CVE-2020-22020,CVE-2020-22021,CVE-2020-22022,CVE-2020-22023,CVE-2020-22025,CVE-2020-22026,CVE-2020-22031,CVE-2020-22032,CVE-2020-22033,CVE-2020-22034,CVE-2020-22038,CVE-2020-22039,CVE-2020-22043,CVE-2020-22044
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    ffmpeg-3.4.2-11.3.1
Comment 6 Swamp Workflow Management 2021-07-14 20:16:22 UTC
SUSE-SU-2021:2322-1: An update that fixes 23 vulnerabilities is now available.

Category: security (important)
Bug References: 1172640,1186406,1186583,1186586,1186587,1186596,1186597,1186598,1186600,1186603,1186604,1186605,1186613,1186614,1186615,1186616,1186658,1186660,1186757,1186758,1186762,1186763
CVE References: CVE-2019-17539,CVE-2020-13904,CVE-2020-20448,CVE-2020-20451,CVE-2020-21041,CVE-2020-22015,CVE-2020-22016,CVE-2020-22017,CVE-2020-22019,CVE-2020-22020,CVE-2020-22021,CVE-2020-22022,CVE-2020-22023,CVE-2020-22025,CVE-2020-22026,CVE-2020-22031,CVE-2020-22032,CVE-2020-22033,CVE-2020-22034,CVE-2020-22038,CVE-2020-22039,CVE-2020-22043,CVE-2020-22044
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP3 (src):    ffmpeg-3.4.2-11.3.1
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    ffmpeg-3.4.2-11.3.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    ffmpeg-3.4.2-11.3.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    ffmpeg-3.4.2-11.3.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    ffmpeg-3.4.2-11.3.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    ffmpeg-3.4.2-11.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2021-09-02 16:19:36 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:2929-1: An update that fixes 31 vulnerabilities is now available.

Category: security (important)
Bug References: 1129714,1172640,1186406,1186583,1186586,1186587,1186596,1186597,1186598,1186600,1186603,1186604,1186605,1186613,1186614,1186615,1186616,1186658,1186660,1186757,1186758,1186762,1186763,1186849,1186859,1186861,1186863,1189142,1189348,1189350
CVE References: CVE-2019-17539,CVE-2019-9721,CVE-2020-13904,CVE-2020-20448,CVE-2020-20451,CVE-2020-21041,CVE-2020-21688,CVE-2020-21697,CVE-2020-22015,CVE-2020-22016,CVE-2020-22017,CVE-2020-22019,CVE-2020-22020,CVE-2020-22021,CVE-2020-22022,CVE-2020-22023,CVE-2020-22025,CVE-2020-22026,CVE-2020-22031,CVE-2020-22032,CVE-2020-22033,CVE-2020-22034,CVE-2020-22038,CVE-2020-22039,CVE-2020-22043,CVE-2020-22044,CVE-2020-22046,CVE-2020-22048,CVE-2020-22049,CVE-2020-22054,CVE-2021-38114
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    ffmpeg-3.4.2-4.34.2
SUSE Manager Retail Branch Server 4.0 (src):    ffmpeg-3.4.2-4.34.2
SUSE Manager Proxy 4.0 (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise Server for SAP 15 (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise Server 15-SP1-BCL (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise Server 15-LTSS (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    ffmpeg-3.4.2-4.34.2
SUSE Enterprise Storage 6 (src):    ffmpeg-3.4.2-4.34.2
SUSE CaaS Platform 4.0 (src):    ffmpeg-3.4.2-4.34.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.